Package org.eclipse.wst.xsl.core.internal

## org.eclipse.wst.xsl.core.internal
Class XSLCorePlugin

    public class XSLCorePlugin
    extends Plugin

The activator class controls the plug-in life cycle

## Field Summary

`public static java.lang.String` | `PLUGIN_ID` TODO: Add JavaDoc
`public static java.lang.String` | `USE_PROJECT_SETTINGS`

## Constructor Summary

`XSLCorePlugin()`

## Method Summary

`public static org.eclipse.wst.xsl.core.internal.XSLCorePlugin` | `getDefault()` Returns the shared instance
`public javax.xml.parsers.SAXParserFactory` | `getFactory()` Return the registered SAX parser factory or null if one does not exist. * @return
`public static void` | `log(IStatus status)` Logs the specified status with this plug-in's log.
`public static IStatus` | `newErrorStatus(java.lang.String message , java.lang.Throwable exception)` Returns a new error status for this plug-in with the given message
`public void` | `start(BundleContext context)`
`public void` | `stop(BundleContext context)`

## Field Detail

## PLUGIN_ID

`public static java.lang.String PLUGIN_ID`

TODO: Add JavaDoc

## USE_PROJECT_SETTINGS

`public static java.lang.String USE_PROJECT_SETTINGS`

## Constructor Detail

## XSLCorePlugin

`public XSLCorePlugin()`

The constructor

## Methods Detail

## getDefault

`public org.eclipse.wst.xsl.core.internal.XSLCorePlugin getDefault()`

Returns the shared instance

### Returns

`org.eclipse.wst.xsl.core.internal.XSLCorePlugin` - the shared instance

## getFactory

`public javax.xml.parsers.SAXParserFactory getFactory()`

Return the registered SAX parser factory or null if one does not exist. * @return

### Returns

`javax.xml.parsers.SAXParserFactory` - returns a SAXParserFactory

## log

`public void log(IStatus status)`

Logs the specified status with this plug-in's log.

### Parameters

`status` - status to log

## newErrorStatus

`public IStatus newErrorStatus(java.lang.String message , java.lang.Throwable exception)`

Returns a new error status for this plug-in with the given message

### Parameters

`message` - the message to be included in the status

`exception` - the exception to be included in the status or `null` if none

### Returns

`IStatus` - a new error status

## start

`public void start(BundleContext context)`

### Parameters

`context`

### Throws:

`java.lang.Exception`

## stop

`public void stop(BundleContext context)`

### Parameters

`context`

### Throws:

`java.lang.Exception`